## bully 1.4.00

=== Makefile ===
include $(TOPDIR)/rules.mk

include version.mk

include $(INCLUDE_DIR)/package.mk

define Package/bully
  SECTION:=net
  CATEGORY:=Network
  SUBMENU:=wireless
  TITLE:=Brute force attack against WPS, that actually works
  DEPENDS:=+libpcap
endef

define Package/bully/description
  Brute force attack against WPS, that actually works
endef

define Build/Prepare
	mkdir -p $(PKG_BUILD_DIR)
	$(CP) -rf ./src $(PKG_BUILD_DIR)/
endef

CONFIGURE_PATH:=src

MAKE_PATH:=src

TARGET_CFLAGS+=$(TARGET_CPPFLAGS)

define Package/bully/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/src/bully $(1)/usr/bin/
endef

$(eval $(call BuildPackage,bully))

=== src/Makefile ===
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin

W_NAME	= bully
W_ROOT	= `pwd`

CFLAGS	+= -I$(W_ROOT) -I$(W_ROOT)/utils/ -I$(W_ROOT)/tls/
CFLAGS	+= -I$(W_ROOT)/wps/ -I$(W_ROOT)/crypto/ -I$(W_ROOT)/common/
CFLAGS	+= -DUSE_INTERNAL_CRYPTO -O2

LDFLAGS += -lpcap

HDRS	= $(W_NAME).h 80211.h frame.h iface.h bswap.h version.h
SRCS	= $(W_NAME).c 80211.c frame.c iface.c crc32.c timer.c utils.c

all: $(W_NAME)

$(W_NAME): $(HDRS) $(SRCS)
	$(CC) $(CFLAGS) -o $(@) $(W_NAME).c pdust.c $(LDFLAGS)

strip: $(W_NAME)
	strip $(W_NAME)

clean:
	-rm -f $(W_NAME) $(W_NAME).o

distclean: clean

install: all
	install -d $(DESTDIR)$(bindir)
	install -m 755 $(W_NAME) $(DESTDIR)$(bindir)

uninstall:
	-rm -f $(DESTDIR)$(bindir)/$(W_NAME)

=== debian/changelog ===
bully (1.4.00-2) unstable; urgency=medium

  * Team Upload

  [ Kali Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Karthik ]
  * Fix some lintian warnings
  * d/control: update debhelper version, fix rules-requires-root warning
  * d/copyright: update licenses for some files

  [ Samuel Henrique ]
  * Bump watch to v4

 -- Samuel Henrique <samueloph@debian.org>  Wed, 30 Mar 2022 19:42:51 +0100

bully (1.4.00-1) unstable; urgency=medium

  * Initial release (Closes: #969429)
  * Changes for debian build system

 -- Karthik <kskarthik@disroot.org>  Wed, 02 Sep 2020 17:37:51 +0530

=== debian/control ===
Source: bully
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Karthik <kskarthik@disroot.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev, libssl-dev, liblua5.3-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/kimocoder/bully
Vcs-Git: https://salsa.debian.org/pkg-security-team/bully.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/bully

Package: bully
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pixiewps, aircrack-ng
Description: Implementation of the WPS brute force attack, written in C
 Bully is a new implementation of the WPS brute force attack, written in C. It
 is conceptually identical to other programs, in that it exploits the (now well
 known) design flaw in the WPS specification. It has several advantages over
 the original reaver code. These include fewer dependencies, improved memory
 and cpu performance, correct handling of endianness, and a more robust set of
 options.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.3 -DHAVE_LUA=true
export DEB_LDFLAGS_MAINT_APPEND = -llua5.3

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./" \
https://github.com/kimocoder/bully/releases/ .*/v?(\d\S*)\.tar\.gz

# Former hosting places:
#https://github.com/aanarchyy/bully/
# http://code.google.com/p/wps-bully/
# https://github.com/bdpurcell/bully
# https://github.com/Lrs121/bully
